Skip to main content
GET
/
api
/
fdx
/
5
/
accounts
/
{account_id}
/
transactions
Get Transactions
curl --request GET \
  --url https://ob.flinksapp.com/api/fdx/5/accounts/{account_id}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "page": {
    "nextOffset": "97fcd39f-6e32-470b-a107-d4cb1080abcc",
    "totalElements": 32
  },
  "links": {
    "next": {
      "href": "https://ob-preprod.flinksapp.dev/api/fdx/5/accounts/11/transactions?startTime=2020-01-01&endTime=2020-02-01&limit=1&offset=97fcd39f-6e32-470b-a107-d4cb1080abcc"
    }
  },
  "transactions": [
    {
      "locTransaction": {
        "accountId": "11",
        "transactionId": "1",
        "postedTimestamp": "2020-02-01T00:00:00.0000000Z",
        "transactionTimestamp": "2020-02-01T00:00:00.0000000Z",
        "description": "Transaction TrxLoc@Cr0.01",
        "debitCreditMemo": "CREDIT",
        "amount": 1.1,
        "status": "POSTED"
      }
    }
  ]
}
Use the /api/fdx/v1/accounts/{accountId}/transactions endpoint to get the transaction history for a particular account. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using:
  • grant_type: authorization_code or refresh_token
  • client_id: {recipient client_id}
  • client_secret: {recipient client_secret}
  • redirect_uri: {recipient redirect_uri}
  • code: {with grant type authorization_code}
  • refresh_token: {with grant type refresh_token}

Response is different for each Data Provider

This endpoint returns different fields for each Data Provider. For more information about the fields that each Data Provider supports, review the Data Provider’s details.

How to handle an error response

If you receive an error response, refer to the List of Data Access Errors for more information about the error and how to resolve it.
{
  "page": {
    "nextOffset": "97fcd39f-6e32-470b-a107-d4cb1080abcc",
    "totalElements": 32
  },
  "links": {
    "next": {
      "href": "https://ob-preprod.flinksapp.dev/api/fdx/5/accounts/11/transactions?startTime=2020-01-01&endTime=2020-02-01&limit=1&offset=97fcd39f-6e32-470b-a107-d4cb1080abcc"
    }
  },
  "transactions": [
    {
      "locTransaction": {
        "accountId": "11",
        "transactionId": "1",
        "postedTimestamp": "2020-02-01T00:00:00.0000000Z",
        "transactionTimestamp": "2020-02-01T00:00:00.0000000Z",
        "description": "Transaction TrxLoc@Cr0.01",
        "debitCreditMemo": "CREDIT",
        "amount": 1.1,
        "status": "POSTED"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Path Parameters

account_id
string
required

The ID of the customer account that you want to retrieve transactions for.

Query Parameters

startTime
string<date>

The first date in the date range that you want to retrieve transactions for, in ISO format (YYYY-MM-DD).

endTime
string<date>

The last date in the date range that you want to retrieve transactions for, in ISO format (YYYY-MM-DD).

offset
string

Opaque cursor used by the provider to send the next set of records.

limit
string

The maximum number of transactions that you want to return with this request. Use this field to set a limit on the amount of data you receive.

Response

Returned when the transactions are successfully retrieved with pagination.

page
object

Pagination information for the response.

Links for pagination.

transactions
object[]

List of transactions for the account, which may include different transaction types.